using System.ComponentModel;

namespace Lada.Framework.Data.Enums
{
    public class OrderFinEnum
    {
        /// <summary>
        /// Loại thu tiền: thu tiền người gửi, thu tiền người nhận
        /// </summary>
        public enum CollectMoneyType
        {
            [Description("Thu tiền người gửi")]
            FromSender = 1,
            [Description("Thu tiền người nhận")]
            FromReceiver = 2

        }


        public enum OrderFeeStatus
        {
            [Description("Chưa thanh toán")]
            UnPaid = 1,
            [Description("Nhân viên đã thu")]
            Paid = 2,
            [Description("Đã nộp về công ty")]
            Collected = 3
        }

        /// <summary>
        /// Xác định xem phí đang ở giai đoạn (điểm) nào, không cần thu, lái xe đã cầm tiền,
        /// chi nhánh đã thu tiền, tổng công ty đã nhận tiền
        /// </summary>
        public enum OrderFeeStage
        {
            [Description("Chưa thanh toán")]
            NotCollected = 1,
            [Description("Lái xe đang cầm")]
            Driver = 2,
            [Description("Chi nhánh đã thu")]
            Branch = 3,
            [Description("Sale đã thu")]
            Sale = 4,
            [Description("Tổng đã thu")]
            Head = 9,
            [Description("Không cần thu")]
            NoNeed = 11,
            [Description("Khách nợ")]
            Debt = 13,
        }

        public enum OrderCodStage
        {
            [Description("Chưa thanh toán")]
            NotCollected = 1,
            [Description("Lái xe đang cầm")]
            Driver = 2,
            [Description("Chi nhánh đã thu")]
            Branch = 3,
            [Description("Tổng đã thu")]
            Head = 9,
            [Description("Chờ đối soát")]
            WaitToTransfer = 11,
            [Description("Đã đối soát")]
            Transfered = 12,
        }

        public enum OrderCodStatus
        {
            [Description("Chưa thu")]
            UnPaid = 1,
            [Description("Nhân viên đã thu")]
            Paid = 2,
            [Description("Đã nộp về công ty")]
            Collected = 3
        }
        public enum PayFeeType
        {
            [Description("Người gửi thanh toán")]
            SenderPay = 1,
            [Description("Người nhận thanh toán")]
            ConsigneePay = 2,
            [Description("Chuyển khoản cho kế toán")]
            BankTransfer = 3,
            [Description("Thu cước 2 đầu")]
            SplitPay = 4,
            [Description("Cấn trừ COD")]
            COD = 5
        }
    }
}
